#ifndef STDIO_IMPL_H
#define STDIO_IMPL_H
#include <ctype.h>
#include <stdarg.h>
typedef struct {
  int (*f)(void *, char const *, int);
  void *arg;
} FILE;

int vfprintf(FILE *restrict f, const char *restrict fmt, va_list ap);
int printf(char const *fmt, ...);
#endif
